org.apache.hadoop.yarn.api.records

## Class Priority

- java.lang.Object
- - org.apache.hadoop.yarn.api.records.Priority

- All Implemented Interfaces:
    Comparable<Priority>

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public abstract class Priority
      extends Object
      implements Comparable<Priority>

  The priority assigned to a ResourceRequest or Application or Container allocation

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Priority` | `UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Priority()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Priority other)`
    `boolean` | `equals(Object obj)`
    `abstract int` | `getPriority()` Get the assigned priority
    `int` | `hashCode()`
    `static Priority` | `newInstance(int p)`
    `abstract void` | `setPriority(int priority)` Set the assigned priority
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UNDEFINED

          public static final Priority UNDEFINED

  - ### Constructor Detail

    - #### Priority

          public Priority()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public static Priority newInstance(int p)

    - #### getPriority

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract int getPriority()

      Get the assigned priority
      Returns:
        the assigned priority

    - #### setPriority

          @InterfaceAudience.Public
           @InterfaceStability.Stable
          public abstract void setPriority(int priority)

      Set the assigned priority
      Parameters:
        `priority` - the assigned priority

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### compareTo

          public int compareTo(Priority other)

      Specified by:
        `compareTo` in interface `Comparable<Priority>`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.